Download it now!
Bug 86518 - EDITING: Named range changes when deleting cells or lines in another sheet
Summary: EDITING: Named range changes when deleting cells or lines in another sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: Other All
: high major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.4.0.0.beta2 target:4.3.5
Keywords: bibisectRequest, regression
: 87387 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-11-21 10:41 UTC by Sebastian von Kracht
Modified: 2015-12-17 08:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODS file used for testing (21.12 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-21 10:41 UTC, Sebastian von Kracht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian von Kracht 2014-11-21 10:41:54 UTC
Created attachment 109797 [details]
ODS file used for testing

Name a range in sheet1, e.g. B5:B25 with the name „testrange“
Delete 3 LINES in sheet2 between line 5 and line 25
Check „testrange“: It has changed to B5:B22

Name a range in sheet1, e.g. B5:B25 with the name „testrange“
Delete 3 LINES in sheet2 NOT between line 5 and line 25 (e.g. line 27 to 30)
Check „testrange“: Nothing has changed

Name a range in sheet1, e.g. B5:B25 with the name „testrange“
Delete 3 CELLS in sheet2 in range  B5:B25 (SAME column as named range in sheet1)
Check „testrange“: It has changed to B5:B22

Name a range in sheet1, e.g. B5:B25 with the name „testrange“
Delete 3 CELLS in sheet2 in range  C5:C25(DIFFERENT column from named range in sheet1)
Check „testrange“: Nothing has changed

See also attached test file

This occurs in LO 4.3.4.1, but NOT in 4.3.2.2

Win7 Prof.
Comment 1 Sebastian von Kracht 2014-11-21 12:30:04 UTC
This can lead to undetected incorrect results of calculations
Comment 2 Jacques Guilleron 2014-11-21 16:25:02 UTC
Hi Sebastian,

I confirm with:
LO 4.4.0.0.alpha2+ Build ID: 4f18bd405831c31cd49190046f7bafd805a47d7d
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-20_09:39:04
Locale: fr_FR
LO 4.4.0.0.alpha1+
Build ID: a8c24b25fd9fb21097a08a22797bf61b59099ea1
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-21_06:33:33
& Windows 7 Home Premium

Works as expected with:
LO  4.4.0.0.alpha0+
Build ID: 3e2bd1e4022e25b77bcc8eba5e02c1adc57008a1
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-16_00:50:04

Set Status to NEW.

Regards,

Jacques
Comment 3 Terrence Enger 2014-11-23 17:46:46 UTC
I think this is bibisectable within the range covered by the daily
dbgutil bibisect repository.
Comment 4 Commit Notification 2014-12-01 06:57:28 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e3baa08cbaf1e15ef668d92878d1f6f8eba1303

avoid modifying range name references that are not affected, fdo#86518

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-01 06:57:48 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96ec51292301a105effacfcceec44f696ee6e0f0

add test case for fdo#86518

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-01 07:03:13 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9eb40f6ab2cd7798a9e9b61cfd6e5b65517123ac&h=libreoffice-4-4

avoid modifying range name references that are not affected, fdo#86518

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Markus Mohrhard 2014-12-01 07:05:15 UTC
review request for 4-3 is in gerrit
Comment 8 Commit Notification 2014-12-04 13:59:45 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e40e71761e710f9226f6c9772143daf29cf454a&h=libreoffice-4-3

avoid modifying range name references that are not affected, fdo#86518

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Jacques Guilleron 2014-12-09 15:18:05 UTC
Hi all,

Works now. Verified with LO 4.4.0.0.beta2
Build ID: be92f32b8f21603a6b7a75dd645f7475bdee519
& Windows Home Premium.
Thank you, Markus.
Comment 10 Commit Notification 2014-12-10 15:04:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=906fdfa21fc8741b27657ec0c497485b0cb5ff1f&h=libreoffice-4-3-5

avoid modifying range name references that are not affected, fdo#86518

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 raal 2014-12-17 21:27:42 UTC
*** Bug 87387 has been marked as a duplicate of this bug. ***
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:39:43 UTC Comment hidden (obsolete)